TRACE-CMD-LISTEN(1)

NAME
trace-cmd-listen - listen for incoming connection to record tracing.

SYNOPSIS

trace-cmd listen -p port [OPTIONS]

DESCRIPTION

The trace-cmd(1) listen sets up a port to listen to waiting for connections from other hosts that run trace-cmd-record(1) with the -N option. When a connection is made, and the remote host sends data, it will create a file called trace.HOST:PORT.dat. Where HOST is the name of the remote host, and PORT is the port that the remote host used to connect with.

OPTIONS

-p port
    This option will specify the port to listen to.

-D
    This options causes trace-cmd listen to go into a daemon mode and run in the background.

-d dir
    This option specifies a directory to write the data files into.

-o filename
    This option overrides the default trace in the trace.HOST:PORT.dat that is created when a remote host connects.

-l filename
    This option writes the output messages to a log file instead of standard output.

SEE ALSO

trace-cmd(1), trace-cmd-record(1), trace-cmd-report(1), trace-cmd-start(1), trace-cmd-stop(1), trace-cmd-extract(1), trace-cmd-reset(1), trace-cmd-split(1), trace-cmd-list(1)

AUTHOR

Written by Steven Rostedt, <rostedt@goodmis.org[1]>

RESOURCES

git://git.kernel.org/pub/scm/linux/kernel/git/rostedt/trace-cmd.git

COPYING

Copyright (C) 2010 Red Hat, Inc. Free use of this software is granted under the terms of the GNU Public License (GPL).

NOTES

1.  rostedt@goodmis.org
    mailto:rostedt@goodmis.org